Oracle Linux 5/6:java-1.6.0-openjdk(ELSA-2014-0097)

medium Nessus プラグイン ID 72160
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Oracle Linux ホストに、1 つ以上のセキュリティ更新がありません。

説明

Red Hat セキュリティアドバイザリ 2014:0097 から:

さまざまなセキュリティの課題を修正する更新 java-1.6.0-openjdk パッケージが、現時点で Red Hat Enterprise Linux 5 と 6 に対して利用可能です。

Red Hat セキュリティレスポンスチームは、この更新には重大なセキュリティ上の影響があると評価しています。詳細な重要度の評価を提供する Common Vulnerability Scoring System (CVSS)のベーススコアが、「参照」セクションの CVE リンクの各脆弱性に対して利用可能です。

これらのパッケージは、OpenJDK 6 Java Runtime Environment および OpenJDK 6 Java ソフトウェア開発キットを提供します。

2D コンポーネントのフォントレイアウトエンジンに、入力検証の欠陥が見つかりました。特別に細工されたフォントファイルが処理されると、 Java 仮想マシンのメモリ破損が発生する可能性があります。信頼できない Java アプリケーションまたはアプレットがこの欠陥を利用して、 Java サンドボックスの制限をバイパスする可能性があります。(CVE-2013-5907)

OpenJDK での CORBA および JNDI のコンポーネントに、複数の不適切な権限チェックの問題が発見されました。信頼できない Java アプリケーションまたはアプレットがこの欠陥を利用して、Java サンドボックスの制限をバイパスする可能性があります。
(CVE-2014-0428、CVE-2014-0422)

OpenJDK のサービサビリティ、セキュリティ、CORBA、JAAS、JAXP、およびネットワーキングの各コンポーネントに、複数の不適切な権限チェックの問題が発見されました。信頼できない Java アプリケーションまたはアプレットがこれらの欠陥を利用して、特定の Java サンドボックスの制限をバイパスする可能性があります。(CVE-2014-0373、CVE-2013-5878、CVE-2013-5910、CVE-2013-5896、CVE-2013-5884、CVE-2014-0416、CVE-2014-0376、CVE-2014-0368)

Beans コンポーネントは、XML 外部エンティティの処理を制限していないことが判明しました。この欠陥により、Beans を使用する Java アプリケーションが機密情報を漏洩させたり、アプリケーションの可用性に影響を与えたりする可能性があります。(CVE-2014-0423)

JSSE コンポーネントが、TLS/SSL ハンドシェイク中にタイミング情報を漏洩する可能性があることが判明しました。これにより、使用済み暗号化キーに関する情報が漏洩される可能性があります。
(CVE-2014-0411)

java-1.6.0-openjdk の全ユーザーは、これらの問題を解決する、これらの更新済みパッケージにアップグレードすることが推奨されます。更新を有効にするには、 OpenJDK Java の実行しているすべてのインスタンスを再起動する必要があります。

ソリューション

影響を受けた java-1.6.0-openjdk パッケージを更新してください。

関連情報

https://oss.oracle.com/pipermail/el-errata/2014-January/003922.html

https://oss.oracle.com/pipermail/el-errata/2014-January/003923.html

プラグインの詳細

深刻度: Medium

ID: 72160

ファイル名: oraclelinux_ELSA-2014-0097.nasl

バージョン: 1.12

タイプ: local

エージェント: unix

公開日: 2014/1/28

更新日: 2021/1/14

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Critical

Base Score: 10

ベクトル: AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS v3

リスクファクター: Medium

Base Score: 5.3

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

脆弱性情報

CPE: p-cpe:/a:oracle:linux:java-1.6.0-openjdk, p-cpe:/a:oracle:linux:java-1.6.0-openjdk-demo, p-cpe:/a:oracle:linux:java-1.6.0-openjdk-devel, p-cpe:/a:oracle:linux:java-1.6.0-openjdk-javadoc, p-cpe:/a:oracle:linux:java-1.6.0-openjdk-src, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

必要な KB アイテム: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

パッチ公開日: 2014/1/28

脆弱性公開日: 2014/1/15

参照情報

CVE: CVE-2013-4578, CVE-2013-5878, CVE-2013-5884, CVE-2013-5896, CVE-2013-5907, CVE-2013-5910, CVE-2014-0368, CVE-2014-0373, CVE-2014-0376, CVE-2014-0411, CVE-2014-0416, CVE-2014-0422, CVE-2014-0423, CVE-2014-0428

RHSA: 2014:0097